compat-db43-4.3.29-17.el6.i686.rpm


Advertisement

Description

compat-db43 - The Berkeley DB database 4.3.29 compatibility library

Property Value
Distribution CentOS 6
Repository CentOS i386
Package filename compat-db43-4.3.29-17.el6.i686.rpm
Package name compat-db43
Package version 4.3.29
Package release 17.el6
Package architecture i686
Package type rpm
Category System Environment/Libraries
Homepage http://www.oracle.com/database/berkeley-db/
License BSD
Maintainer -
Download size 892.65 KB
Installed size 2.40 MB
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
This package contains Berkeley DB library version 4.3.29 used for compatibility.

Alternatives

Package Version Architecture Repository
compat-db43-4.3.29-17.el6.x86_64.rpm 4.3.29 x86_64 CentOS
compat-db43-4.3.29-17.el6.i686.rpm 4.3.29 i686 CentOS
compat-db43 - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libm.so.6 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.9) -
rtld(GNU_HASH) -

Provides

Name Value
compat-db43 = 4.3.29-17.el6
compat-db43(x86-32) = 4.3.29-17.el6
libdb-4.3.so -
libdb_cxx-4.3.so -

Obsoletes

Name Value
compat-db < 4.6.21-5
db1 -
db1-devel -
db2 -
db2-devel -
db2-utils -
db3 -
db3-devel -
db3-utils -
db31 -
db32 -
db3x -
db4 < 4.3
db4-devel < 4.3
db4-java < 4.3
db4-tcl < 4.3
db4-utils < 4.3

Download

Type URL
Mirror mirror.centos.org
Binary Package compat-db43-4.3.29-17.el6.i686.rpm
Source Package compat-db-4.6.21-17.el6.src.rpm

Install Howto

Install compat-db43 rpm package:

# yum install compat-db43

Files

Path
/lib/libdb-4.3.so
/lib/libdb_cxx-4.3.so
/usr/bin/berkeley_db43_svc
/usr/bin/db43_archive
/usr/bin/db43_checkpoint
/usr/bin/db43_deadlock
/usr/bin/db43_dump
/usr/bin/db43_load
/usr/bin/db43_printlog
/usr/bin/db43_recover
/usr/bin/db43_stat
/usr/bin/db43_upgrade
/usr/bin/db43_verify
/usr/include/db4.3.29/db.h
/usr/include/db4.3.29/db_185.h
/usr/include/db4.3.29/db_cxx.h
/usr/lib/db4.3.29/libdb.so
/usr/lib/db4.3.29/libdb_cxx.so
/usr/share/doc/compat-db43-4.3.29/
/usr/share/doc/compat-db43-4.3.29/db-4.3.29/LICENSE
/usr/share/doc/compat-db43-4.3.29/db-4.3.29/README

Changelog

2016-10-26 - Matej Muzila <mmuzila@redhat.com> 4.6.21-17
- link libdb against -lpthread (#1342461)
- link c++ code against -lpthread too
2016-07-13 - Matej Muzila <mmuzila@redhat.com> 4.6.21-16
- link libdb against -lpthread (#1342461)
2010-06-02 - Jindrich Novy <jnovy@redhat.com> 4.6.21-15
- add -fno-strict-aliasing (#599376)
2010-05-25 - Jindrich Novy <jnovy@redhat.com> 4.6.21-14
- pull in correct compat-dbs on multiarch systems (#589637)
2010-05-19 - Jindrich Novy <jnovy@redhat.com> 4.6.21-13
- fix dependencies in the main package
2010-05-18 - Jindrich Novy <jnovy@redhat.com> 4.6.21-12
- readd 4.2 and 4.3 back for RHEL4/5 compatibility, remove 4.5, 4.6 (#588589)
2010-01-11 - Jindrich Novy <jnovy@redhat.com> 4.6.21-11
- apply compatibility patch
- define default file attributes
Related: #543948
2009-09-10 - Jindrich Novy <jnovy@redhat.com> 4.6.21-10
- remove libtool hacks so that compat-db builds again
- remove support for old BDBs: 4.3.29, 4.2.52, 4.1.25
2009-07-24 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.21-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
2009-02-24 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.6.21-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

See Also

Package Description
compat-expat1-1.95.8-8.el6.i686.rpm A library for parsing XML documents
compat-gcc-34-3.4.6-19.el6.i686.rpm Compatibility GNU Compiler Collection
compat-gcc-34-c++-3.4.6-19.el6.i686.rpm C++ support for compatibility compiler
compat-gcc-34-g77-3.4.6-19.el6.i686.rpm Fortran 77 support for compatibility compiler
compat-glibc-2.5-46.2.i686.rpm Compatibility C library
compat-glibc-headers-2.5-46.2.i686.rpm Header files for development using standard C libraries
compat-libcap1-1.10-1.i686.rpm Library for getting and setting POSIX.1e capabilities
compat-libf2c-34-3.4.6-19.el6.i686.rpm Fortran 77 compatibility runtime
compat-libgcc-296-2.96-144.el6.i686.rpm Compatibility 2.96-RH libgcc library
compat-libgfortran-41-4.1.2-39.el6.i686.rpm Compatibility Fortran 95 runtime library version 4.1.2
compat-libstdc++-296-2.96-144.el6.i686.rpm Compatibility 2.96-RH standard C++ libraries
compat-libstdc++-33-3.2.3-69.el6.i686.rpm Compatibility standard C++ libraries
compat-libtermcap-2.0.8-49.el6.i686.rpm A basic system library for accessing the termcap database
compat-libxcb-1.9-0.1.el6.i686.rpm A C binding to the X11 protocol
compat-openldap-2.3.43-2.el6.i686.rpm OpenLDAP compatibility shared libraries
Advertisement
Advertisement